Direkt zum Inhalt springen

17.02.2015 | Brain Appeal

TYPO3 Extension gridelements anfällig für Cross-Site Scripting

Ein aktueller Sicherheitshinweis zur TYPO3 Extension gridelements bescheinigt eine Anfälligkeit für Cross-Site Scripting Angriffe. Davon betroffen ist die Version 3.0.0, 2.1.2 sowie Vorgängerversionen von 2.1.2. Das als „mittel“ eingestufte Sicherheitsrisiko lässt sich durch ein Update auf 3.0.1 bzw. 2.1.3 beheben.

Hintergrund des Problems ist, dass gridelements die Benutzereingaben im HTML Kontext nicht richtig überprüft. Eingaben von Backend Usern (Redakteuren) mit Zugriff auf Textfelder innerhalb von Datenbanktabellen können diese Schwachstelle ausnutzen.

Weitere Informationen:

Security Bulletin

Weitere Beiträge

Alle Beiträge